%global realname asyncmongo

Name:           python-%{realname}
Version:        0.1.3
Release:        3%{?dist}
Summary:        An asynchronous Python MongoDB library

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/bitly/asyncmongo
Source0:        https://github.com/downloads/bitly/asyncmongo/asyncmongo-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

Requires:       pymongo >= 1.9
Requires:       python-bson
Requires:       python-tornado

%description
AsyncMongo is an asynchronous Python library for accessing MongoDB using the
Tornado IOLoop.

%prep
%setup -q -n %{realname}-%{version}
# Fix non-executable-script error
sed -i '/^#!\/bin\/env python$/,+1 d' asyncmongo/*.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/%{realname}
%{python_sitelib}/%{realname}-%{version}*.egg-info

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Feb 19 2011 Silas Sewell <silas@sewell.ch> - 0.1.3-1
- Update to 0.1.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Silas Sewell <silas@sewell.ch> - 0.1.2-1
- Update to 0.1.2

* Thu Nov 18 2010 Silas Sewell <silas@sewell.ch> - 0.1-1
- Initial package
